PHP ��U
前一頁 |  | 下一頁

# Z_BVAL_P

Z_BVAL_P -- Dereference a zval pointer and return its lval element as bool

## Description

#include <zend_operators.h>

zend_bool Z_BVAL_P ( zval * zval_p )

Z_BVAL_P() returns the lval element of the zval structure pointed to by zval_p casted to zend_bool.

## Parameters

zval_p

  Pointer to the zval structure to extract the result value from.

## Return Values

The lval element of the zval structure pointed to by zval_p casted to a zend_bool which is either `TRUE` or `FALSE`.

## �Ѧ�

See Z_BVAL() and Z_BVAL_PP() for other macros that access the lval field of a zval as zend_bool.

For macros that extract other values from a zval ** see Z_ARRVAL_P(), Z_BINLEN_P(), Z_BINVAL_P(), , Z_DVAL_P(), Z_LVAL_P(), Z_OBJCE_P(), Z_OBJ_HANDLE_P(), Z_OBJ_HANDLER_P(), Z_OBJ_HT_P(), Z_OBJPROP_P(), Z_OBJVAL_P(), Z_RESVAL_P(), Z_STRLEN_P(), Z_STRVAL_P(), Z_TYPE_P(), Z_UNILEN_P(), Z_UNIVAL_P(), Z_USTRCPLEN_P(), Z_USTRLEN_P(), and Z_USTRVAL_P().

前一頁 | 內容 | 下一頁
Z_BINVAL | 上一層 | Z_BVAL_PP